Index: sources/app/src/main/java/parkup/configs/token/ConfirmationTokenW.java
===================================================================
--- sources/app/src/main/java/parkup/configs/token/ConfirmationTokenW.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
+++ sources/app/src/main/java/parkup/configs/token/ConfirmationTokenW.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -0,0 +1,105 @@
+package parkup.configs.token;
+
+import parkup.entities.Vraboten;
+
+import javax.persistence.*;
+import java.time.LocalDateTime;
+
+@Entity
+public class ConfirmationTokenW {
+
+    @Id
+    @Column(name = "confirmation_token_id")
+    @SequenceGenerator(
+            name="confirmation_token_sequence_generator_W",
+            sequenceName = "confirmation_token_sequence_W",
+            allocationSize = 1,
+            initialValue = 1200
+    )
+    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+            strategy = GenerationType.SEQUENCE,
+            generator = "confirmation_token_sequence_generator_W"
+    )
+    private int id;
+
+    @Column(nullable = false)
+    private String token;
+
+    @Column(nullable = false)
+    private LocalDateTime createdAt;
+
+    @Column(nullable = false)
+    private LocalDateTime expiresAt;
+
+    private LocalDateTime confirmedAt;
+
+    @ManyToOne(cascade = {CascadeType.ALL})
+    @JoinColumn(nullable = false, name = "vraboten_id")
+    //many confirmation tokens to one registriranParkirac
+    private Vraboten vraboten;
+
+    public ConfirmationTokenW() {}
+
+    public ConfirmationTokenW(int id, String token, LocalDateTime createdAt, LocalDateTime expiresAt, Vraboten vraboten) {
+        this.id = id;
+        this.token = token;
+        this.createdAt = createdAt;
+        this.expiresAt = expiresAt;
+        this.vraboten = vraboten;
+    }
+
+    public ConfirmationTokenW(String token, LocalDateTime createdAt, LocalDateTime expiresAt, Vraboten vraboten) {
+        this.token = token;
+        this.createdAt = createdAt;
+        this.expiresAt = expiresAt;
+        this.vraboten = vraboten;
+    }
+
+    public int getId() {
+        return id;
+    }
+
+    public void setId(int id) {
+        this.id = id;
+    }
+
+    public String getToken() {
+        return token;
+    }
+
+    public void setToken(String token) {
+        this.token = token;
+    }
+
+    public LocalDateTime getCreatedAt() {
+        return createdAt;
+    }
+
+    public void setCreatedAt(LocalDateTime createdAt) {
+        this.createdAt = createdAt;
+    }
+
+    public LocalDateTime getExpiresAt() {
+        return expiresAt;
+    }
+
+    public void setExpiresAt(LocalDateTime expiresAt) {
+        this.expiresAt = expiresAt;
+    }
+
+    public LocalDateTime getConfirmedAt() {
+        return confirmedAt;
+    }
+
+    public void setConfirmedAt(LocalDateTime confirmedAt) {
+        this.confirmedAt = confirmedAt;
+    }
+
+    public Vraboten getRegistriranParkirac() {
+        return vraboten;
+    }
+
+    public void setRegistriranParkirac(Vraboten vraboten) {
+        this.vraboten = vraboten;
+    }
+}
Index: sources/app/src/main/java/parkup/controllers/AdministratorController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/AdministratorController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/AdministratorController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -2,8 +2,10 @@
 
 import java.util.List;
+import java.util.Optional;
+
 import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
 import parkup.configs.RegistrationRequest;
-import parkup.configs.RegistrationService;
+import parkup.configs.RegistrationServiceRP;
 import parkup.entities.Administrator;
 import parkup.services.AdministratorService;
@@ -12,10 +14,10 @@
 public class AdministratorController {
     private final AdministratorService administratorService;
-    private final RegistrationService registrationService;
+    private final RegistrationServiceRP registrationServiceRP;
 
     @Autowired
-    public AdministratorController(AdministratorService administratorService, RegistrationService registrationService) {
+    public AdministratorController(AdministratorService administratorService, RegistrationServiceRP registrationServiceRP) {
         this.administratorService = administratorService;
-        this.registrationService = registrationService;
+        this.registrationServiceRP = registrationServiceRP;
     }
 
@@ -36,26 +38,26 @@
 
     @PostMapping({"/administrator"})
-    public void addAdministrator(@RequestBody Administrator administrator) {
-        this.administratorService.addAdministrator(administrator);
+    public Optional<Administrator> addAdministrator(@RequestBody Administrator administrator) {
+        return this.administratorService.addAdministrator(administrator);
     }
 
     @PutMapping({"/administrator/{administratorId}"})
-    public void updateAdministrator(@PathVariable int administratorId, @RequestBody Administrator administrator) {
-        this.administratorService.updateAdministrator(administratorId, administrator.getFirstName(), administrator.getLastName(), administrator.getMobile(), administrator.getEmail());
+    public Administrator updateAdministrator(@PathVariable int administratorId, @RequestBody Administrator administrator) {
+        return this.administratorService.updateAdministrator(administratorId, administrator.getFirstName(), administrator.getLastName(), administrator.getMobile(), administrator.getEmail());
     }
 
     @DeleteMapping({"/administrator/{administratorId}"})
-    public void deleteAdministrator(@PathVariable int administratorId) {
-        this.administratorService.deleteAdministrator(administratorId);
+    public Optional<Administrator> deleteAdministrator(@PathVariable int administratorId) {
+        return this.administratorService.deleteAdministrator(administratorId);
     }
 
     @PostMapping({"/administrator/registration"})
     public String register(@RequestBody RegistrationRequest request){
-        return registrationService.register(request);
+        return registrationServiceRP.register(request);
     }
 
     @GetMapping(path = "/administrator/registration/confirm")
     public String confirm(@RequestParam("token") String token) {
-        return registrationService.confirmToken(token);
+        return registrationServiceRP.confirmToken(token);
     }
 }
Index: sources/app/src/main/java/parkup/controllers/ParkingSessionController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/ParkingSessionController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -7,4 +7,5 @@
 
 import java.util.List;
+import java.util.Optional;
 
 @RestController
@@ -33,17 +34,18 @@
 
     @PostMapping({"/parkingSession"})
-    public void addParkingSession(@RequestBody ParkingSession parkingSession) {
+    public Optional<ParkingSession> addParkingSession(@RequestBody ParkingSession parkingSession) {
         //System.out.println("???????");
-        parkingSessionService.addParkingSession(parkingSession);
+        return this.parkingSessionService.addParkingSession(parkingSession);
     }
 
     @PutMapping({"/parkingSession/{parkingSessionId}"})
     public void updateParkingSession(@PathVariable int parkingSessionId, @RequestBody ParkingSession parkingSession) {
-        parkingSessionService.updateParkingSession(parkingSessionId, parkingSession.getTimeStart(), parkingSession.getTimeEnd());
+        parkingSessionService.updateParkingSession(parkingSessionId,
+                parkingSession.getTimeStart(), parkingSession.getTimeEnd(), parkingSession.getTablica());
     }
 
     @DeleteMapping({"/parkingSession/{parkingSessionId}"})
-    public void deleteParkingSession(@PathVariable int parkingSessionId) {
-        parkingSessionService.deleteParkingSession(parkingSessionId);
+    public Optional<ParkingSession> deleteParkingSession(@PathVariable int parkingSessionId) {
+        return this.parkingSessionService.deleteParkingSession(parkingSessionId);
     }
 }
Index: sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/ParkingSpaceController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -7,4 +7,5 @@
 
 import java.util.List;
+import java.util.Optional;
 
 @RestController
@@ -33,17 +34,18 @@
 
     @PostMapping({"/parkingSpace"})
-    public void addParkingSpace(@RequestBody ParkingSpace parkingSpace) {
+    public Optional<ParkingSpace> addParkingSpace(@RequestBody ParkingSpace parkingSpace) {
         //System.out.println("???????");
-        parkingSpaceService.addParkingSpace(parkingSpace);
+        return this.parkingSpaceService.addParkingSpace(parkingSpace);
     }
 
     @PutMapping({"/parkingSpace/{parkingSpaceId}"})
     public void updateParkingSpace(@PathVariable int parkingSpaceId, @RequestBody ParkingSpace parkingSpace) {
-        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(), parkingSpace.isHandicaped());
+        parkingSpaceService.updateParkingSpace(parkingSpaceId, parkingSpace.getPsName(), parkingSpace.isTaken(),
+                parkingSpace.isHandicaped(), parkingSpace.getLat(), parkingSpace.getLng());
     }
 
     @DeleteMapping({"/parkingSpace/{parkingSpaceId}"})
-    public void deleteParkingSpace(@PathVariable int parkingSpaceId) {
-        parkingSpaceService.deleteParkingSpace(parkingSpaceId);
+    public Optional<ParkingSpace> deleteParkingSpace(@PathVariable int parkingSpaceId) {
+        return this.parkingSpaceService.deleteParkingSpace(parkingSpaceId);
     }
 }
Index: sources/app/src/main/java/parkup/controllers/ParkingZoneController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/ParkingZoneController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -7,4 +7,5 @@
 
 import java.util.List;
+import java.util.Optional;
 
 @RestController
@@ -32,18 +33,29 @@
     }
 
+    @GetMapping({"parkingZone/parkingZoneNames"})
+    public List<String> getParkingZoneNames(){
+        return this.parkingZoneService.getAllParkingZoneNames();
+    }
+
     @PostMapping({"/parkingZone"})
-    public void addParkingZone(@RequestBody ParkingZone parkingZone) {
-        //System.out.println("???????");
-        parkingZoneService.addParkingZone(parkingZone);
+    public Optional<ParkingZone> addParkingZone(@RequestBody ParkingZone parkingZone) {
+        return this.parkingZoneService.addParkingZone(parkingZone);
+    }
+
+    @PostMapping("/parkingZoneName")
+    public ParkingZone addParkingZoneName(@RequestBody String name){
+        return this.parkingZoneService.addParkingZoneNameOnly(name);
     }
 
     @PutMapping({"/parkingZone/{parkingZoneId}"})
-    public void updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZone parkingZone) {
-        parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(), parkingZone.getCapacity(), parkingZone.getWorkHours(),parkingZone.getLocation());
+    public ParkingZone updateParkingZone(@PathVariable int parkingZoneId, @RequestBody ParkingZone parkingZone) {
+        return this.parkingZoneService.updateParkingZone(parkingZoneId, parkingZone.getPzName(), parkingZone.getPrice(), parkingZone.getCapacity(),
+                parkingZone.getLocation(), parkingZone.getFrom(), parkingZone.getTo(), parkingZone.getColor(),
+                parkingZone.getParkingSpaces(), parkingZone.getParkingZoneLocation());
     }
 
     @DeleteMapping({"/parkingZone/{parkingZoneId}"})
-    public void deleteParkingZone(@PathVariable int parkingZoneId) {
-        parkingZoneService.deleteParkingZone(parkingZoneId);
+    public Optional<ParkingZone> deleteParkingZone(@PathVariable int parkingZoneId) {
+        return this.parkingZoneService.deleteParkingZone(parkingZoneId);
     }
 }
Index: sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/RegistriranParkiracController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -2,12 +2,10 @@
 
 import java.util.List;
+import java.util.Optional;
+
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.web.bind.annotation.DeleteMapping;
-import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.web.bind.annotation.PathVariable;
-import org.springframework.web.bind.annotation.PostMapping;
-import org.springframework.web.bind.annotation.PutMapping;
-import org.springframework.web.bind.annotation.RequestBody;
-import org.springframework.web.bind.annotation.RestController;
+import org.springframework.web.bind.annotation.*;
+import parkup.configs.RegistrationRequest;
+import parkup.configs.RegistrationServiceRP;
 import parkup.entities.RegistriranParkirac;
 import parkup.services.RegistriranParkiracService;
@@ -16,8 +14,10 @@
 public class RegistriranParkiracController {
     private final RegistriranParkiracService registriranParkiracService;
+    private final RegistrationServiceRP registrationServiceRP;
 
     @Autowired
-    public RegistriranParkiracController(RegistriranParkiracService registriranParkiracService) {
+    public RegistriranParkiracController(RegistriranParkiracService registriranParkiracService, RegistrationServiceRP registrationServiceRP) {
         this.registriranParkiracService = registriranParkiracService;
+        this.registrationServiceRP = registrationServiceRP;
     }
 
@@ -38,16 +38,26 @@
 
     @PostMapping({"/registriranParkirac"})
-    public void addRegistriranParkirac(@RequestBody RegistriranParkirac regPark) {
-        this.registriranParkiracService.addRegPark(regPark);
+    public Optional<RegistriranParkirac> addRegistriranParkirac(@RequestBody RegistriranParkirac regPark) {
+        return this.registriranParkiracService.addRegPark(regPark);
     }
 
     @PutMapping({"/registriranParkirac/{regParkId}"})
-    public void updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegistriranParkirac regPark) {
-        this.registriranParkiracService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail());
+    public RegistriranParkirac updateRegistriranParkirac(@PathVariable int regParkId, @RequestBody RegistriranParkirac regPark) {
+        return this.registriranParkiracService.updateRegPark(regParkId, regPark.getName(), regPark.getSurname(), regPark.getMobile(), regPark.getEmail(),regPark.getRegTablicki());
     }
 
     @DeleteMapping({"/registriranParkirac/{regParkId}"})
-    public void deleteRegistriranParkirac(@PathVariable int regParkId) {
-        this.registriranParkiracService.deleteRegPark(regParkId);
+    public Optional<RegistriranParkirac> deleteRegistriranParkirac(@PathVariable int regParkId) {
+        return this.registriranParkiracService.deleteRegPark(regParkId);
+    }
+
+    @PostMapping({"/registriranParkirac/registration"})
+    public String register(@RequestBody RegistrationRequest request){
+        return registrationServiceRP.register(request);
+    }
+
+    @GetMapping(path = "/registriranParkirac/registration/confirm")
+    public String confirm(@RequestParam("token") String token) {
+        return registrationServiceRP.confirmToken(token);
     }
 }
Index: sources/app/src/main/java/parkup/controllers/VrabotenController.java
===================================================================
--- sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/controllers/VrabotenController.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -2,22 +2,23 @@
 
 import java.util.List;
+import java.util.Optional;
+
 import org.springframework.beans.factory.annotation.Autowired;
-import org.springframework.web.bind.annotation.DeleteMapping;
-import org.springframework.web.bind.annotation.GetMapping;
-import org.springframework.web.bind.annotation.PathVariable;
-import org.springframework.web.bind.annotation.PostMapping;
-import org.springframework.web.bind.annotation.PutMapping;
-import org.springframework.web.bind.annotation.RequestBody;
-import org.springframework.web.bind.annotation.RestController;
+import org.springframework.web.bind.annotation.*;
+import parkup.configs.RegistrationRequest;
+import parkup.configs.RegistrationServiceW;
 import parkup.entities.Vraboten;
 import parkup.services.VrabotenService;
+import parkup.data.VrabotenDemo;
 
 @RestController
 public class VrabotenController {
     private final VrabotenService vrabotenService;
+    private final RegistrationServiceW registrationServiceW;
 
     @Autowired
-    public VrabotenController(VrabotenService vrabotenService) {
+    public VrabotenController(VrabotenService vrabotenService, RegistrationServiceW registrationServiceW) {
         this.vrabotenService = vrabotenService;
+        this.registrationServiceW = registrationServiceW;
     }
 
@@ -37,17 +38,38 @@
     }
 
+    @GetMapping({"/vraboten/vrabotenDemo"})
+    public List<VrabotenDemo> getVraboteniDemos(){
+        return this.vrabotenService.getAllVraboteniDemos();
+    }
+
     @PostMapping({"/vraboten"})
-    public void addVraboten(@RequestBody Vraboten vraboten) {
-        this.vrabotenService.addVraboten(vraboten);
+    public Optional<Vraboten> addVraboten(@RequestBody Vraboten vraboten) {
+        return this.vrabotenService.addVraboten(vraboten);
+    }
+
+    @PostMapping({"/vraboten/{vrabotenId}"})
+    public void lockVraboten(@PathVariable int vrabotenId) {
+        this.vrabotenService.lockVrabotenAcc(vrabotenId);
     }
 
     @PutMapping({"/vraboten/{vrabotenId}"})
-    public void updateVraboten(@PathVariable int vrabotenId, @RequestBody Vraboten vraboten) {
-        this.vrabotenService.updateVraboten(vrabotenId, vraboten.getFirstName(), vraboten.getLastName(), vraboten.getMobile(), vraboten.getEmail());
+    public Vraboten updateVraboten(@PathVariable int vrabotenId, @RequestBody Vraboten vraboten) {
+        return this.vrabotenService.updateVraboten(vrabotenId, vraboten.getFirstName(), vraboten.getLastName(),
+                vraboten.getMobile(), vraboten.getEmail(), vraboten.getStatus());
     }
 
     @DeleteMapping({"/vraboten/{vrabotenId}"})
-    public void deleteVraboten(@PathVariable int vrabotenId) {
-        this.vrabotenService.deleteVraboten(vrabotenId);
+    public Optional<Vraboten> deleteVraboten(@PathVariable int vrabotenId) {
+        return this.vrabotenService.deleteVraboten(vrabotenId);
+    }
+
+    @PostMapping({"/vraboten/registration"})
+    public String register(@RequestBody RegistrationRequest request){
+        return registrationServiceW.register(request);
+    }
+
+    @GetMapping(path = "/vraboten/registration/confirm")
+    public String confirm(@RequestParam("token") String token) {
+        return registrationServiceW.confirmToken(token);
     }
 }
Index: sources/app/src/main/java/parkup/data/Location.java
===================================================================
--- sources/app/src/main/java/parkup/data/Location.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
+++ sources/app/src/main/java/parkup/data/Location.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -0,0 +1,47 @@
+package parkup.data;
+
+import javax.persistence.*;
+
+@Entity
+public class Location {
+    @Id
+    @Column(name = "location_id")
+    @SequenceGenerator(
+            name="location_sequence_generator",
+            sequenceName = "location_sequence",
+            allocationSize = 1,
+            initialValue = 1300
+    )
+    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+            strategy = GenerationType.SEQUENCE,
+            generator = "location_sequence_generator"
+    )
+    private int locationId;
+
+    private float longitude;
+
+    private float latitude;
+
+    public Location(){}
+
+    public Location(float longtitude, float latitude) {
+        this.longitude = longtitude;
+        this.latitude = latitude;
+    }
+
+    public float getLongitude() {
+        return longitude;
+    }
+
+    public void setLongitude(float longitude) {
+        this.longitude = longitude;
+    }
+
+    public float getLatitude() {
+        return latitude;
+    }
+
+    public void setLatitude(float latitude) {
+        this.latitude = latitude;
+    }
+}
Index: sources/app/src/main/java/parkup/data/ParkingZoneLocation.java
===================================================================
--- sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
+++ sources/app/src/main/java/parkup/data/ParkingZoneLocation.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -0,0 +1,56 @@
+package parkup.data;
+
+import javax.persistence.*;
+import java.util.List;
+
+@Entity
+public class ParkingZoneLocation {
+    @Id
+    @Column(name = "parkingZoneLocation_id")
+    @SequenceGenerator(
+            name="parkingZoneLocation_sequence_generator",
+            sequenceName = "parkingZoneLocation_sequence",
+            allocationSize = 1,
+            initialValue = 1400
+    )
+    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+            strategy = GenerationType.SEQUENCE,
+            generator = "parkingZoneLocation_sequence_generator"
+    )
+    private int parkingZoneLocationId;
+
+    @OneToOne
+    private Location centre;
+
+    @OneToMany
+    private List<Location> teminja;
+
+    public ParkingZoneLocation(int parkingZoneLocationId, Location centre, List<Location> teminja) {
+        this.parkingZoneLocationId = parkingZoneLocationId;
+        this.centre = centre;
+        this.teminja = teminja;
+    }
+
+    public ParkingZoneLocation(Location centre, List<Location> teminja) {
+        this.centre = centre;
+        this.teminja = teminja;
+    }
+
+    public ParkingZoneLocation() {}
+
+    public Location getCentre() {
+        return centre;
+    }
+
+    public void setCentre(Location centre) {
+        this.centre = centre;
+    }
+
+    public List<Location> getTeminja() {
+        return teminja;
+    }
+
+    public void setTeminja(List<Location> teminja) {
+        this.teminja = teminja;
+    }
+}
Index: sources/app/src/main/java/parkup/data/Tablicka.java
===================================================================
--- sources/app/src/main/java/parkup/data/Tablicka.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/data/Tablicka.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -1,11 +1,21 @@
 package parkup.data;
 
-import javax.persistence.Entity;
-import javax.persistence.Id;
+import javax.persistence.*;
 
 @Entity
 public class Tablicka {
     @Id
+    @SequenceGenerator(
+            name="tablicka_sequence_generator",
+            sequenceName = "tablicka_sequence",
+            allocationSize = 1,
+            initialValue = 1000
+    )
+    @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
+            strategy = GenerationType.SEQUENCE,
+            generator = "tablicka_sequence_generator"
+    )
     private int tablicaId;
+
     private String tablica;
 
Index: sources/app/src/main/java/parkup/data/VrabotenDemo.java
===================================================================
--- sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
+++ sources/app/src/main/java/parkup/data/VrabotenDemo.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -0,0 +1,41 @@
+package parkup.data;
+
+public class VrabotenDemo {
+
+    private String firstName;
+    private String lastName;
+    private String email;
+
+    public VrabotenDemo() {}
+
+    public VrabotenDemo(String firstName, String lastName, String email) {
+        this.firstName = firstName;
+        this.lastName = lastName;
+        this.email = email;
+    }
+
+    public String getFirstName() {
+        return firstName;
+    }
+
+    public void setFirstName(String firstName) {
+        this.firstName = firstName;
+    }
+
+    public String getLastName() {
+        return lastName;
+    }
+
+    public void setLastName(String lastName) {
+        this.lastName = lastName;
+    }
+
+    public String getEmail() {
+        return email;
+    }
+
+    public void setEmail(String email) {
+        this.email = email;
+    }
+}
+
Index: sources/app/src/main/java/parkup/entities/ParkingSession.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/entities/ParkingSession.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -1,3 +1,5 @@
 package parkup.entities;
+
+import parkup.data.Tablicka;
 
 import javax.persistence.*;
@@ -9,8 +11,8 @@
     @Column(name = "parking_session_id")
     @SequenceGenerator(
-            name="parking_session_generator",
+            name="parking_session_sequence_generator",
             sequenceName = "parking_session_sequence",
             allocationSize = 1,
-            initialValue = 700
+            initialValue = 800
     )
     @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
@@ -26,15 +28,21 @@
     private String timeEnd;
 
+    @OneToOne(cascade = {CascadeType.ALL})
+    @JoinColumn(name = "reg_tablicka", nullable = false)
+    private Tablicka tablica;
+
     public ParkingSession() {}
 
-    public ParkingSession(int pssId, String timeStart, String timeEnd) {
+    public ParkingSession(int pssId, String timeStart, String timeEnd, Tablicka tablica) {
         this.pssId = pssId;
         this.timeStart = timeStart;
         this.timeEnd = timeEnd;
+        this.tablica = tablica;
     }
 
-    public ParkingSession(String timeStart, String timeEnd) {
+    public ParkingSession(String timeStart, String timeEnd, Tablicka tablica) {
         this.timeStart = timeStart;
         this.timeEnd = timeEnd;
+        this.tablica = tablica;
     }
 
@@ -62,3 +70,11 @@
         this.timeEnd = timeEnd;
     }
+
+    public Tablicka getTablica() {
+        return tablica;
+    }
+
+    public void setTablica(Tablicka tablica) {
+        this.tablica = tablica;
+    }
 }
Index: sources/app/src/main/java/parkup/entities/ParkingSpace.java
===================================================================
--- sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision ce6ad22249e902dea17e6ba473846ccebdd4330c)
+++ sources/app/src/main/java/parkup/entities/ParkingSpace.java	(revision f6bc52d991e03ece15d64dc62eaeb0f2aed0805b)
@@ -9,8 +9,8 @@
     @Column(name = "parking_space_id")
     @SequenceGenerator(
-            name="parking_space_generator",
+            name="parking_space_sequence_generator",
             sequenceName = "parking_space_sequence",
             allocationSize = 1,
-            initialValue = 600
+            initialValue = 700
     )
     @GeneratedValue(    //za postgres treba sequence da se namesti i ime na generator mi ga davamo kako od gore sto e
@@ -29,17 +29,31 @@
     private boolean isHandicaped;
 
+    @Column(name = "latitude")
+    private float lat;
+
+    @Column(name = "longitude")
+    private float lng;
+
+    @OneToOne(cascade = {CascadeType.ALL})
+    @JoinColumn(name = "parking_zona")
+    private ParkingZone parkingZone;
+
     public ParkingSpace() {}
 
-    public ParkingSpace(int psId, String psName, boolean isTaken, boolean isHandicaped) {
+    public ParkingSpace(int psId, String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
         this.psId = psId;
         this.psName = psName;
         this.isTaken = isTaken;
         this.isHandicaped = isHandicaped;
+        this.lat = lat;
+        this.lng = lng;
     }
 
-    public ParkingSpace(String psName, boolean isTaken, boolean isHandicaped) {
+    public ParkingSpace(String psName, boolean isTaken, boolean isHandicaped, float lat, float lng) {
         this.psName = psName;
         this.isTaken = isTaken;
         this.isHandicaped = isHandicaped;
+        this.lat = lat;
+        this.lng = lng;
     }
 
@@ -75,4 +89,20 @@
         this.isHandicaped = isHandicaped;
     }
+
+    public float getLat() {
+        return lat;
+    }
+
+    public void setLat(float lat) {
+        this.lat = lat;
+    }
+
+    public float getLng() {
+        return lng;
+    }
+
+    public void setLng(float lng) {
+        this.lng = lng;
+    }
 }
 
